Module org.jfree.pdf
Package org.jfree.pdf

# Interface FontMapper

All Known Implementing Classes:
  `DefaultFontMapper`

public interface FontMapper
Maps an AWT font to a PDF built-in font.

## Method Summary

Modifier and Type
Method
Description
`String`
`mapToBaseFont(Font f)`
Returns the name of the PDF built-in font that should be used in place of the specified AWT/Java2D font.

## Method Details

### mapToBaseFont

String mapToBaseFont(Font f)
Returns the name of the PDF built-in font that should be used in place of the specified AWT/Java2D font.

Parameters:
  `f` - the font.
Returns:
  The name of the built-in PDF font.